# References

Common fields in collected kubernetes container logs:

<table><thead><tr><th width="267.3333740234375" valign="top">Name</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top">@timestamp</td><td valign="top">Time the log event occurred.</td></tr><tr><td valign="top">container.id</td><td valign="top">Runtime container ID.</td></tr><tr><td valign="top">container.image.name</td><td valign="top">Container image name (e.g., vllm/vllm-openai:latest ).</td></tr><tr><td valign="top">container.runtime</td><td valign="top">Container runtime (e.g., containerd ).</td></tr><tr><td valign="top">kubernetes.cluster.name</td><td valign="top">Kubernetes cluster name (e.g., prod-cluster-1 ).</td></tr><tr><td valign="top">kubernetes.cluster.org</td><td valign="top">Kubernetes cluster organization (e.g., example ).</td></tr><tr><td valign="top">kubernetes.container.name</td><td valign="top">Name of the container inside the pod.</td></tr><tr><td valign="top">kubernetes.namespace</td><td valign="top">Kubernetes namespace.</td></tr><tr><td valign="top">kubernetes.namespace_labels</td><td valign="top">Namespace labels.</td></tr><tr><td valign="top">kubernetes.pod.ip</td><td valign="top">IP address assigned to the pod.</td></tr><tr><td valign="top">kubernetes.pod.name</td><td valign="top">Name of the pod.</td></tr><tr><td valign="top">kubernetes.pod.uid</td><td valign="top">UID of the pod.</td></tr></tbody></table>

<table><thead><tr><th width="266.66668701171875" valign="top">Name</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top">kubernetes.labels</td><td valign="top">Pod labels.</td></tr><tr><td valign="top">message</td><td valign="top">Log message content.</td></tr><tr><td valign="top">stream</td><td valign="top">Output stream (e.g., stdout , stderr ).</td></tr></tbody></table>

Common fields in collected kubernetes audit logs:

<table><thead><tr><th width="243.33331298828125" valign="top">Name</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top">@timestamp</td><td valign="top">Time the log event occurred.</td></tr><tr><td valign="top">data_stream.dataset</td><td valign="top">Represent cluster name (e.g., prod-cluster-1 ).</td></tr><tr><td valign="top">data_stream.namespace</td><td valign="top">Represent cluster organization (e.g., example ).</td></tr><tr><td valign="top">data_stream.type</td><td valign="top">Datastream type (e.g., logs )</td></tr><tr><td valign="top">kubernetes.audit_log</td><td valign="top">Kubernetes audit log message content.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudeka.ai/guidance-for-individual/deka-gpu/deka-gpu-log-collection/references.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
